Bug 1097216 (CVE-2014-0222) - CVE-2014-0222 Qemu: qcow1: validate L2 table size to avoid integer overflows
Summary: CVE-2014-0222 Qemu: qcow1: validate L2 table size to avoid integer overflows
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0222
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1097225 1097228 1097229 1097230 1097232 1133427 1133428 1133429
Blocks: 1094952 1133827
TreeView+ depends on / blocked
 
Reported: 2014-05-13 12:00 UTC by Prasad J Pandit
Modified: 2019-09-29 13:17 UTC (History)
39 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer overflow flaw was found in the QEMU block driver for QCOW version 1 disk images. A user able to alter the QEMU disk image files loaded by a guest could use this flaw to corrupt QEMU process memory on the host, which could potentially result in arbitrary code execution on the host with the privileges of the QEMU process.
Clone Of:
Environment:
Last Closed: 2014-09-22 04:48:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0927 normal SHIPPED_LIVE Moderate: qemu-kvm security and bug fix update 2014-07-23 20:15:13 UTC
Red Hat Product Errata RHSA-2014:1075 normal SHIPPED_LIVE Moderate: qemu-kvm security and bug fix update 2014-08-19 13:12:19 UTC
Red Hat Product Errata RHSA-2014:1076 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2014-08-19 13:22:40 UTC
Red Hat Product Errata RHSA-2014:1168 normal SHIPPED_LIVE Important: rhev-hypervisor6 security and bug fix update 2014-09-09 23:06:34 UTC
Red Hat Product Errata RHSA-2014:1187 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-09-15 10:12:52 UTC
Red Hat Product Errata RHSA-2014:1268 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-09-22 08:00:39 UTC

Description Prasad J Pandit 2014-05-13 12:00:56 UTC
Qemu block driver for the QCOW version 1 image format is vulnerable to an
integer overflow flaw. It occurs due to weak input validations or logic errors.
Such integer overflow could lead to buffer overflows, memory corruption or
crash in Qemu instance.

An user able to alter the Qemu disk image files loaded by a guest could use
this flaw to crash the Qemu instance resulting in DoS or corrupt QEMU process
memory on the host, which could potentially result in arbitrary code execution
on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2014-05/msg02155.html

Comment 3 Prasad J Pandit 2014-05-13 12:20:36 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1097232]

Comment 4 Fedora Update System 2014-06-10 02:55:51 UTC
qemu-1.6.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Martin Prpič 2014-07-17 14:14:40 UTC
IssueDescription:

An integer overflow flaw was found in the QEMU block driver for QCOW version 1 disk images. A user able to alter the QEMU disk image files loaded by a guest could use this flaw to corrupt QEMU process memory on the host, which could potentially result in arbitrary code execution on the host with the privileges of the QEMU process.

Comment 6 errata-xmlrpc 2014-07-23 16:17:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0927 https://rhn.redhat.com/errata/RHSA-2014-0927.html

Comment 8 Prasad J Pandit 2014-07-28 05:48:20 UTC
Acknowledgements:

Red Hat would like to thank NSA for reporting this issue.

Comment 9 errata-xmlrpc 2014-08-19 09:12:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1075 https://rhn.redhat.com/errata/RHSA-2014-1075.html

Comment 10 errata-xmlrpc 2014-08-19 09:23:04 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:1076 https://rhn.redhat.com/errata/RHSA-2014-1076.html

Comment 12 errata-xmlrpc 2014-09-09 19:06:42 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:1168 https://rhn.redhat.com/errata/RHSA-2014-1168.html

Comment 13 errata-xmlrpc 2014-09-15 06:13:08 UTC
This issue has been addressed in the following products:

  OpenStack 4 for RHEL 6
  OpenStack 5 for RHEL 6

Via RHSA-2014:1187 https://rhn.redhat.com/errata/RHSA-2014-1187.html

Comment 14 errata-xmlrpc 2014-09-22 04:02:01 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1268 https://rhn.redhat.com/errata/RHSA-2014-1268.html


Note You need to log in before you can comment on or make changes to this bug.